package characters.robot;

import java.util.Arrays;

public class ArrayUtils {

    public static <T> T[] initialiseArray(T[] array, Object value) {
        if (array[0] instanceof Object[]) {
            for (Object subarray : array) {
                initialiseArray(((Object[]) subarray), value);
            }
        } else {
            Arrays.fill(array, value);
        }
        return array;
    }
}
