package app;

public interface Measure {
    /*
     * Vysvetlenie:
     * ak chcem previest float na nejaku jednotku, pouzijem napr.: 
     *     (hodnota)*Measure.CM - ak chcem centimetre
     *     (hodnota)*Measure.M  - ak chcem metre
     * 
     * jednotky float su v podstate decimetre.
     * 
     * POZOR!!!
     * Ak niekde zadavam centimetre, kde maju ist centimetre ako integer, tak tam zadam skutocnu hodnotu v centimetroch.
     * Nepouzivam ziaden prepocet. (napr. pri vytvoreni CBotControllera)
     */

    public static final float CmToF = 100.00f;
    public static final float CM = 10.00f;
    public static final float F = 1.00f;
    public static final float M = 0.10f;
}
