package characters.robot;

public class ProximSensors {

    // variables of Machine: ProximSensors
    private Integer[] sensorsData;
    // scalar formal parameters
    private Integer maxMsrblDst;

    public ProximSensors(Integer maxMsrblDst) {
        this.maxMsrblDst = maxMsrblDst;
        sensorsData = ArrayUtils.initialiseArray(new Integer[7 - 0 + 1], 0);
    }

    public void readSensors(Integer nne, Integer ene, Integer ese, Integer sse, Integer ssw, Integer wsw, Integer wnw, Integer nnw) {
        if ((((((((((((((((0 <= nne && nne <= maxMsrblDst) && 0 <= ene) && ene <= maxMsrblDst) && 0 <= ese) && ese <= maxMsrblDst) && 0 <= sse) && sse <= maxMsrblDst) && 0 <= ssw) && ssw <= maxMsrblDst) && 0 <= wsw) && wsw <= maxMsrblDst) && 0 <= wnw) && wnw <= maxMsrblDst) && 0 <= nnw) && nnw <= maxMsrblDst)) {
            sensorsData[0 - (0)] = nne;
            sensorsData[1 - (0)] = ene;
            sensorsData[2 - (0)] = ese;
            sensorsData[3 - (0)] = sse;
            sensorsData[4 - (0)] = ssw;
            sensorsData[5 - (0)] = wsw;
            sensorsData[6 - (0)] = wnw;
            sensorsData[7 - (0)] = nnw;
        }
    }

    public Boolean allClear(Integer dst) {
        Boolean bb;
        if ((((((((sensorsData[0 - (0)] > dst && sensorsData[1 - (0)] > dst) && sensorsData[2 - (0)] > dst) && sensorsData[3 - (0)] > dst) && sensorsData[4 - (0)] > dst) && sensorsData[5 - (0)] > dst) && sensorsData[6 - (0)] > dst) && sensorsData[7 - (0)] > dst)) {
            bb = true;
        } else {
            bb = false;
        }
        return bb;
    }

    public Boolean frontClear(Integer angle, Integer dst_data) {
        Boolean bb;

        if (((0 <= angle && angle <= 21599) && dst_data >= 0)) {
            if (((sensorsData[(angle / 2700 + 7) % 8 - (0)] > dst_data && sensorsData[angle / 2700 - (0)] > dst_data) && sensorsData[(angle / 2700 + 1) % 8 - (0)] > dst_data)) {
                bb = true;
            } else {
                bb = false;
            }
        } else {
            bb = false;
        }
        return bb;
    }
}
