/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package characters.robot;

import characters.AbstractCharacter;
import com.jme3.math.Vector3f;
import com.jme3.scene.Node;
import java.util.List;
import jme3tools.navigation.Position;

/**
 *
 * @author peter
 */
public interface RobotCharacter {

    public void go(Vector3f direction);

    public void turnLightOn();

    public void turnLightOff();

    public void clean();

    public Vector3f getNextPosition();

    public List<Node> getPlayerPositions();

    public Vector3f getBotPosition();

    public Boolean getIgnoreOtherCharacters();

    public void setIgnoreOtherCharacters(Boolean ignoreOtherCharacters);
}
